Subject: Re: [link-relations] NEW RELATION - canonical

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 03 Jun 2011 14:36:38 -0600

On 4/15/11 12:29 PM, Julian Reschke wrote:
> On 15.04.2011 20:09, Frank Ellermann wrote:
>> Relation Name: canonical
>> Description:   A "canonical" URI is the preferred version of a set of
>> URIs
>>                 with highly similar content.  It is intended to help
>> search
>>                 engines when the same or highly similar similar
>> content is
>>                 available at different URIs.
>> Reference:     About rel="canonical"
>>                
>> http://www.google.com/support/webmasters/bin/answer.py?answer=139394
>> Notes:         In<http://www.mattcutts.com/blog/canonical-link-tag/>  and
>>                 <http://gregable.com/2009/02/relcanonical.html>  the
>> authors
>>                 state that Ask, Bing, Google, and Yahoo supported
>> canonical
>>                 URIs as of February, 2009.
> 
> Frank,
> 
> we do have people at Google looking into writing a "proper" spec --
> maybe you are willing to assist them, given your IETF know-how?

I'd be happy to sponsor the old spec if someone can volunteer to work on it:

http://tools.ietf.org/id/draft-johnston-addressing-link-relations-01.txt

It is very short and quite complete, so I think it would be easy to move
this forward.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Frank Ellermann <[email-masked]>
Date: Fri, 3 Jun 2011 23:27:30 +0200

> I'd be happy to sponsor the old spec if someone can

[... about I-D.johnston-addressing-link-relations ...]

> It is very short and quite complete, so I think it
> would be easy to move this forward.

Not short enough from my POV:  We already have "self"
and "bookmark".  The name "permalink" is much better
than "bookmark", but unless I miss the point it would
be the same relation.  And two names for one relation
would be a bad thing.

Actually I have the same problem with "canonical" and
"self", is this the same relation, and if not, what
is the difference?  OTOH "canonical" is widely used,
and has a clear definition, therefore it should be
registered.

No redundancy issues with "mirror" and "shortlink",
but admittedly I don't see how applications are
supposed to use these relations.

So far for the sponsored draft, I'm certainly not hot
about it.  But it can take years until an RFC is ready.

So why not register "canonical" as is *now*, and if an
RFC later offers a better specification later it can
simply update the registration?

[RFC 5988 section 6.2.1]
| relation types can be registered by third parties,
| if the Designated Expert determines that an
| unregistered relation type is widely deployed and
| not likely to be registered in a timely manner.

It is "widely deployed", so what does "timely" mean?
Clearly search engines will continue to do their job
with or without registration of "canonical", with or
without an RFC.

Only folks looking into the registry for "canonical"
and finding nothing (at the moment) are a potential
problem, if they also miss...

http://lmgtfy.com/?q=link+rel+canonical&l=1

If they invent a completely new successful relation
with name "canonical" RFC it would be seriously bad.

I'm not really worried about this, but I don't like
incomplete or outdated IANA registries.

-Frank

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 03 Jun 2011 15:36:57 -0600

> about it.  But it can take years until an RFC is ready.

It certainly shouldn't in this case!

> incomplete or outdated IANA registries.

The Designated Experts are:

Mark Nottingham, Eran Hammer-Lehav, Julian Reschke

Julian posted earlier on this list that it would be nice to have a spec,
but I leave it up to the DEs whether a link to a blog post is
acceptable, i.e.:

http://googlewebmastercentral.blogspot.com/2009/02/specify-your-canonical.html

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Frank Ellermann <[email-masked]>
Date: Mon, 6 Jun 2011 01:59:45 +0200

Peter Saint-Andre <[email-masked]> wrote:

> Julian posted earlier on this list that it would be
> nice to have a spec, but I leave it up to the DEs
> whether a link to a blog post is acceptable, i.e.:

> http://googlewebmastercentral.blogspot.com/2009/02/specify-your-canonical.html

Indeed, it would be nice to have a proper specification.

But it would be also nice to get a clear decision for a
registration request posted in April based on the Google
webmaster help article as ersatz-spec -- IMO slightly
better than an expired I-D or old blog entry.

Frank

---

From: Julian Reschke <[email-masked]>
Date: Fri, 17 Jun 2011 09:45:52 +0200

On 2011-06-06 01:59, Frank Ellermann wrote:
> Peter Saint-Andre<[email-masked]>  wrote:
>

Ok.

It doesn't seem that we'll see a "proper" spec any time soon, so let's 
go ahead with registering what's there.

Frank: is the template you posted in April 
(<http://www.ietf.org/mail-archive/web/link-relations/current/msg00185.html>)...

> Relation Name: canonical
> Description:   A "canonical" URI is the preferred version of a set of URIs
>                with highly similar content.  It is intended to help search
>                engines when the same or highly similar similar content is
> Notes:         In <http://www.mattcutts.com/blog/canonical-link-tag/> and
>                <http://gregable.com/2009/02/relcanonical.html> the authors
>                state that Ask, Bing, Google, and Yahoo supported canonical

...what we should use?

The URI seems to be less stable than

but appears to have more relevant content...

Best regards, Julian

---

From: Frank Ellermann <[email-masked]>
Date: Sun, 19 Jun 2011 22:55:45 +0200

> Frank: is the template you posted in April
[...]
> ...what we should use?

Amended by s/similar similar/similar/ one day later, yes.

> The URI seems to be less stable than
[blog entry]
> but appears to have more relevant content...

Well, blog entries are rarely updated, "less stable" here
just means "fresher" or "more relevant".  We can still
hope that a "real" and "stable" specification updates
the registry at some point in time (but obviously not in
2011).

Unrelated, I saw that HTML5 uses rel="icon" also for
what used to be rel="aple-touch-icon", does that mean
we can ignore apple-touch-icon, or should this still be
registered as "obsoleted by" with a pointer to HTML5
or WhatWG HTML?

Similar I'm not sure what to do about "shortcut icon",
is this required anywhere, e.g., in some IE versions?

Or is rel="shortcut icon" always the sme as rel="icon"
at least for .ICO resources (where experts claim that
using the proper MIME type might no work, and prefer
image/x-icon)?

Cheers,
 Frank